
Infrastructure - Task #974

Story # 929 (Closed): modify client-side resolve() implementations to match new architecture

Update d1_libclient_java resolve() method

2010-10-07 18:39 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2010.43   

Milestone:  Story Points:  

Product Version: *   

Description

Related issues:

Blocked by Infrastructure - Task #1003: deploy new resolve for integration an... Closed

History

#1 - 2010-10-28 00:00 - Matthew Jones

- Subject changed from Update d1-java resolve() method to Update d1_libclient_java resolve() method

- Category set to d1_libclient_java

#2 - 2010-10-29 16:11 - Matthew Jones

- Status changed from New to Closed

- translation missing: en.field_remaining_hours changed from 4.0 to 0.0

I examined the code, and I think this implementation of resolve() should work without any changes because it is still returning an ObjectLocationList,

but the new schemas have automatically created the new OLL structure and parsed it with the JIBX parser.  Task is complete.  Testing relies upon

good testing data in cn-dev, but should continue to work once the synchronize repopulates from knb-mn.
